## Apache Zeta Components Manual :: Docs For Class ezcMvcRequest

### MvcTools::ezcMvcRequest

### Class ezcMvcRequest

The request object holds the request data.

The request object should be created by the request parser in the first place. It may also be returned by the controller, in the case of an internal redirection.

It holds the protocol dependant data in an ezcMvcRawRequest object that is held in property $raw.

It holds several structs which contain some protocol abstract data in the following properties:

- $files: array of instances of ezcMvcRequestFile.
- $cache: instance of ezcMvcRequestCache
- $content: instance of ezcMvcRequestContent
- $agent: instance of ezcMvcRequestAgent
- $authentication: instance of ezcMvcRequestAuthentication

It holds request variables like an array. For example, to hold a 'controller' GET variable in $request['controller'].

Source for this file: /MvcTools/src/structs/request.php

    ezcBaseStruct
       |
       --ezcMvcRequest

Version: | //autogentag//

### Member Variables

public ezcMvcRequestAccept | `$accept` Request content type informations.
public ezcMvcRequestUserAgent | `$agent` Request user agent informations.
public ezcMvcRequestAuthentication | `$authentication` Request authentication data.
public string | `$body` Request body.
public array(ezcMvcRequestCookie) | `$cookies` Contains all the cookies to be set
public DateTime | `$date` Date of the request
public array(ezcMvcRequestFile) | `$files` Files bundled with the request.
public string | `$host` Hostname of the requested server
public boolean | `$isFatal` Whether this is a fatal error request, or a normal one
public string | `$protocol` Protocol description in a normalized form F.e. http-get, http-post, http-delete, mail, jabber
public ezcMvcRawRequest | `$raw` Raw request data
public string | `$referrer` Request ID of the referring URI in the same format as $requestId
public string | `$requestId` Full Uri - combination of host name and uri in a protocol independent order
public string | `$uri` Uri of the requested resource
public array | `$variables` Request variables.

### Method Summary

public static ezcMvcRequest | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcRequest | `__construct( [ $date = null] , [ $protocol = ''] , [ $host = ''] , [ $uri = ''] , [ $requestId = ''] , [ $referrer = ''] , [ $variables = array()] , [ $body = ''] , [ $files = null] , [ $accept = null] , [ $agent = null] , [ $authentication = null] , [ $raw = null] , [ $cookies = array()] , [ $isFatal = false] )` Constructs a new ezcMvcRequest.

### Methods

#### __set_state

static ezcMvcRequest __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcRequest __construct( [DateTime $date = null] , [string $protocol = ''] , [string $host = ''] , [string $uri = ''] , [string $requestId = ''] , [string $referrer = ''] , [array $variables = array()] , [string $body = ''] , [array(ezcMvcRequestFile) $files = null] , [ezcMvcRequestAccept $accept = null] , [ezcMvcRequestUserAgent $agent = null] , [ezcMvcRequestAuthentication $authentication = null] , [ezcMvcRawRequest $raw = null] , [array(ezcMvcRequestCookie) $cookies = array()] , [bool $isFatal = false] )

Constructs a new ezcMvcRequest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$date` | DateTime |
`$protocol` | string |
`$host` | string |
`$uri` | string |
`$requestId` | string |
`$referrer` | string |
`$variables` | array |
`$body` | string |
`$files` | array(ezcMvcRequestFile) |
`$accept` | ezcMvcRequestAccept |
`$agent` | ezcMvcRequestUserAgent |
`$authentication` | ezcMvcRequestAuthentication |
`$raw` | ezcMvcRawRequest |
`$cookies` | array(ezcMvcRequestCookie) |
`$isFatal` | bool |

Documentation generated by phpDocumentor 1.4.3